Search
curl --request GET \
--url https://nordicfinancialnews.com/api/v1/search \
--header 'Authorization: Bearer <token>'{
"results": {
"articles": [
{
"id": "art_abc123def",
"title": "Volvo Reports Record Q3 Earnings",
"article_url": "https://di.se/articles/volvo-q3-2026",
"content_type": "news",
"published_at": "2026-03-15T09:30:00.000Z",
"category": {
"id": "cat_earnings1",
"name": "Earnings & Financial Results"
},
"source": {
"id": "abc123def456",
"name": "Dagens Industri",
"domain": "di.se"
},
"company_ids": [
"uejazctgchj4"
],
"country": "SE"
}
],
"stories": [
{
"id": "story_volvo_q3",
"title": "Volvo Reports Record Q3 Results",
"summary": "Volvo reported record third-quarter earnings, beating analyst expectations...",
"article_count": 4,
"published_at": "2026-03-15T09:30:00.000Z",
"article_ids": [
"art_abc123def",
"art_def456ghi"
],
"country": "SE",
"company_ids": [
"uejazctgchj4"
],
"category": {
"id": "<string>",
"name": "<string>"
}
}
],
"companies": [
{
"id": "w55fcw3pbg3p",
"name": "Volvo Car AB",
"slug": "VOLCAR-B",
"ticker": "VOLCAR-B",
"is_active": true,
"exchange": {
"id": "<string>",
"name": "<string>",
"mic_code": "<string>"
}
}
],
"countries": [
{
"id": "ctry_sweden12",
"name": "Sweden",
"iso2_code": "SE"
}
],
"exchanges": [
{
"id": "exch_nasdaq1",
"name": "Nasdaq Stockholm",
"mic_code": "XSTO",
"acronym": "NASDAQ",
"country": {
"id": "<string>",
"name": "<string>",
"iso2_code": "<string>"
}
}
],
"indices": [
{
"id": "idx_omxs30abc",
"name": "OMX Stockholm 30",
"symbol": "OMXS30",
"pan_nordic": false,
"exchange": {
"id": "<string>",
"name": "<string>",
"mic_code": "<string>"
}
}
]
},
"pagination": {
"articles": {
"count": 123,
"limit": 123
},
"stories": {
"count": 123,
"limit": 123
},
"companies": {
"count": 123,
"limit": 123
},
"countries": {
"count": 123,
"limit": 123
},
"exchanges": {
"count": 123,
"limit": 123
},
"indices": {
"count": 123,
"limit": 123
}
}
}Search
Search
Search across articles, stories, companies, countries, exchanges, and indices. Results are grouped by resource type and ranked by relevance. Use type to limit which resource types are searched.
GET
/
api
/
v1
/
search
Search
curl --request GET \
--url https://nordicfinancialnews.com/api/v1/search \
--header 'Authorization: Bearer <token>'{
"results": {
"articles": [
{
"id": "art_abc123def",
"title": "Volvo Reports Record Q3 Earnings",
"article_url": "https://di.se/articles/volvo-q3-2026",
"content_type": "news",
"published_at": "2026-03-15T09:30:00.000Z",
"category": {
"id": "cat_earnings1",
"name": "Earnings & Financial Results"
},
"source": {
"id": "abc123def456",
"name": "Dagens Industri",
"domain": "di.se"
},
"company_ids": [
"uejazctgchj4"
],
"country": "SE"
}
],
"stories": [
{
"id": "story_volvo_q3",
"title": "Volvo Reports Record Q3 Results",
"summary": "Volvo reported record third-quarter earnings, beating analyst expectations...",
"article_count": 4,
"published_at": "2026-03-15T09:30:00.000Z",
"article_ids": [
"art_abc123def",
"art_def456ghi"
],
"country": "SE",
"company_ids": [
"uejazctgchj4"
],
"category": {
"id": "<string>",
"name": "<string>"
}
}
],
"companies": [
{
"id": "w55fcw3pbg3p",
"name": "Volvo Car AB",
"slug": "VOLCAR-B",
"ticker": "VOLCAR-B",
"is_active": true,
"exchange": {
"id": "<string>",
"name": "<string>",
"mic_code": "<string>"
}
}
],
"countries": [
{
"id": "ctry_sweden12",
"name": "Sweden",
"iso2_code": "SE"
}
],
"exchanges": [
{
"id": "exch_nasdaq1",
"name": "Nasdaq Stockholm",
"mic_code": "XSTO",
"acronym": "NASDAQ",
"country": {
"id": "<string>",
"name": "<string>",
"iso2_code": "<string>"
}
}
],
"indices": [
{
"id": "idx_omxs30abc",
"name": "OMX Stockholm 30",
"symbol": "OMXS30",
"pan_nordic": false,
"exchange": {
"id": "<string>",
"name": "<string>",
"mic_code": "<string>"
}
}
]
},
"pagination": {
"articles": {
"count": 123,
"limit": 123
},
"stories": {
"count": 123,
"limit": 123
},
"companies": {
"count": 123,
"limit": 123
},
"countries": {
"count": 123,
"limit": 123
},
"exchanges": {
"count": 123,
"limit": 123
},
"indices": {
"count": 123,
"limit": 123
}
}
}Authorizations
API Key authentication using Bearer token
Query Parameters
Full-text search query (2-200 characters).
Comma-separated list of resource types to search. Defaults to all types. Valid values: articles, stories, companies, countries, exchanges, indices.
Maximum number of results per resource type (default 5, max 25).
Last modified on June 4, 2026
⌘I